summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorNicolás Reynolds <fauno@kiwwwi.com.ar>2011-03-02 12:37:23 -0300
committerNicolás Reynolds <fauno@kiwwwi.com.ar>2011-03-02 12:37:23 -0300
commit0d1bceb53656f5976e84fd7a1b31e1ca57b0b0cc (patch)
tree0a2165fb84946b0cd1a702cb69913f061b80ab0b
parent89427cd345dd9778ff930861b51ead9801adec70 (diff)
parent14ba37eac0c2414ff3a9f66ff6ca709e23ae7917 (diff)
downloadabslibre-0d1bceb53656f5976e84fd7a1b31e1ca57b0b0cc.tar.gz
abslibre-0d1bceb53656f5976e84fd7a1b31e1ca57b0b0cc.tar.bz2
abslibre-0d1bceb53656f5976e84fd7a1b31e1ca57b0b0cc.zip
Merge branch 'master' of ssh://vparabola/srv/git/projects/abslibre
-rw-r--r--libre/aufs2-libre/PKGBUILD65
-rw-r--r--libre/aufs2-libre/aufs2-libre.install12
-rw-r--r--libre/aufs2-libre/aufs2-module-2.6.36.patch47
-rwxr-xr-xlibre/aufs2-libre/create-tarball.sh14
-rw-r--r--libre/initscripts/PKGBUILD12
-rw-r--r--libre/initscripts/parabola-branding.patch57
6 files changed, 179 insertions, 28 deletions
diff --git a/libre/aufs2-libre/PKGBUILD b/libre/aufs2-libre/PKGBUILD
new file mode 100644
index 000000000..e4627b0a4
--- /dev/null
+++ b/libre/aufs2-libre/PKGBUILD
@@ -0,0 +1,65 @@
+# $Id: PKGBUILD 110689 2011-02-21 15:30:22Z tpowa $
+# Maintainer: Paul Mattal <pjmattal@elys.com>
+
+pkgname=aufs2-libre
+pkgver=2.6.37_20110124
+pkgrel=2
+#_kernver=${pkgver%_*}-LIBRE
+_kernver=2.6.37-LIBRE
+pkgdesc="Another Unionfs Implementation for the Linux-Libre kernel"
+arch=('i686' 'x86_64')
+url="http://aufs.sourceforge.net/"
+license=('GPL2')
+depends=('kernel26-libre>=2.6.37.1' 'kernel26-libre<2.6.38')
+makedepends=('kernel26-libre-headers>=2.6.37' 'kernel26-libre-headers<2.6.38')
+replaces=('aufs' 'aufs2')
+conflicts=('aufs2')
+provides=("aufs2=$pkgver")
+install=${pkgname}.install
+source=("ftp://ftp.archlinux.org/other/aufs2/${pkgname%-libre}-${pkgver}.tar.gz")
+options=('!makeflags')
+
+build() {
+ cd ${srcdir}/${pkgname%-libre}-${pkgver}
+ #patch -Np1 -i ../aufs2-module-2.6.36.patch
+ sed -i 's|CONFIG_AUFS_HNOTIFY =.*|CONFIG_AUFS_HNOTIFY = y|' \
+ config.mk || return 1
+ sed -i 's|CONFIG_AUFS_HFSNOTIFY =.*|CONFIG_AUFS_HFSNOTIFY = y|' \
+ config.mk || return 1
+ sed -i 's|CONFIG_AUFS_EXPORT =.*|CONFIG_AUFS_EXPORT = y|' \
+ config.mk || return 1
+ sed -i 's|CONFIG_AUFS_SHWH =.*|CONFIG_AUFS_SHWH = y|' \
+ config.mk || return 1
+ sed -i 's|CONFIG_AUFS_BDEV_LOOP =.*|CONFIG_AUFS_BDEV_LOOP = y|' \
+ config.mk || return 1
+ sed -i 's|CONFIG_AUFS_BR_RAMFS =.*|CONFIG_AUFS_BR_RAMFS = y|' \
+ config.mk || return 1
+ sed -i 's|CONFIG_AUFS_DEBUG =.*|CONFIG_AUFS_DEBUG =|' \
+ config.mk || return 1
+ if [ "${CARCH}" = "x86_64" ]; then
+ inot64=" y"
+ else
+ inot64=""
+ fi
+ sed -i "s|CONFIG_AUFS_INO_T_64 =.*|CONFIG_AUFS_INO_T_64 =${inot64}|" \
+ config.mk
+ # build, sed fixes are from gentoo portage build
+ sed -i "s:aufs.ko usr/include/linux/aufs_type.h:aufs.ko:g" Makefile
+ sed -i "s:__user::g" include/linux/aufs_type.h
+ make KDIR=/usr/src/linux-${_kernver}
+}
+
+package() {
+ cd ${srcdir}/${pkgname%-libre}-${pkgver}
+ install -D -m644 fs/aufs/aufs.ko \
+ $pkgdir/lib/modules/${_kernver}/kernel/fs/aufs/aufs.ko
+ # tweak the install script for the right kernel version
+ sed -i -e "s/KERNEL_VERSION=.*/KERNEL_VERSION=${_kernver}/g" \
+ $startdir/$pkgname.install
+ # install include files
+ install -D -m 644 include/linux/aufs_type.h $pkgdir/usr/include/linux/aufs_type.h
+ # gzip -9 all modules to safe 100MB
+ find "$pkgdir" -name '*.ko' -exec gzip -9 {} \;
+}
+
+md5sums=('fa64d7893490ef9c82310ebd5f730443')
diff --git a/libre/aufs2-libre/aufs2-libre.install b/libre/aufs2-libre/aufs2-libre.install
new file mode 100644
index 000000000..4c95ad76e
--- /dev/null
+++ b/libre/aufs2-libre/aufs2-libre.install
@@ -0,0 +1,12 @@
+post_install() {
+ KERNEL_VERSION=2.6.37-ARCH
+ depmod $KERNEL_VERSION
+}
+
+post_upgrade() {
+ post_install
+}
+
+post_remove() {
+ post_install
+}
diff --git a/libre/aufs2-libre/aufs2-module-2.6.36.patch b/libre/aufs2-libre/aufs2-module-2.6.36.patch
new file mode 100644
index 000000000..3b43f7aed
--- /dev/null
+++ b/libre/aufs2-libre/aufs2-module-2.6.36.patch
@@ -0,0 +1,47 @@
+diff --git a/ubuntu/aufs/branch.c b/ubuntu/aufs/branch.c
+index cd4463c..ff6b158 100644
+--- a/fs/aufs/branch.c
++++ b/fs/aufs/branch.c
+@@ -22,6 +22,8 @@
+
+ #include <linux/file.h>
+ #include <linux/statfs.h>
++#include <linux/lglock.h>
++#include <linux/percpu.h>
+ #include "aufs.h"
+
+ /*
+@@ -851,7 +853,8 @@ static int au_br_mod_files_ro(struct super_block *sb, aufs_bindex_t bindex)
+ goto out;
+
+ /* no need file_list_lock() since sbinfo is locked? defered? */
+- list_for_each_entry(file, &sb->s_files, f_u.fu_list) {
++ lg_global_lock(files_lglock);
++ do_file_list_for_each_entry(sb, file) {
+ if (special_file(file->f_dentry->d_inode->i_mode))
+ continue;
+
+@@ -861,6 +864,7 @@ static int au_br_mod_files_ro(struct super_block *sb, aufs_bindex_t bindex)
+ err = -EBUSY;
+ FiMustNoWaiters(file);
+ fi_read_unlock(file);
++ lg_global_unlock(files_lglock);
+ goto out_free;
+ }
+
+@@ -889,10 +893,13 @@ static int au_br_mod_files_ro(struct super_block *sb, aufs_bindex_t bindex)
+ if (p) {
+ a = p;
+ a[n++] = hf;
+- } else
++ } else {
++ lg_global_unlock(files_lglock);
+ goto out_free;
++ }
+ }
+- }
++ } while_file_list_for_each_entry;
++ lg_global_unlock(files_lglock);
+
+ err = 0;
+ if (n)
diff --git a/libre/aufs2-libre/create-tarball.sh b/libre/aufs2-libre/create-tarball.sh
new file mode 100755
index 000000000..a460a8b3b
--- /dev/null
+++ b/libre/aufs2-libre/create-tarball.sh
@@ -0,0 +1,14 @@
+#!/bin/sh
+AUFS2VERSION="-37"
+KERNELVERSION=2.6.37
+GITSNAPSHOT=20110124
+# aufs2 (no -xx) for the latest -rc version.
+git clone http://git.c3sl.ufpr.br/pub/scm/aufs/aufs2-standalone.git aufs2-standalone.git
+cd aufs2-standalone.git
+git checkout origin/aufs2.1${AUFS2VERSION}
+#git checkout origin/aufs2.1
+#*** apply "aufs2-base.patch" and "aufs2-standalone.patch" to your kernel source files.
+cd ..
+rm -rf aufs2-${KERNELVERSION}_${GITSNAPSHOT}
+cp -a aufs2-standalone.git aufs2-${KERNELVERSION}_${GITSNAPSHOT}
+tar -czf aufs2-${KERNELVERSION}_${GITSNAPSHOT}.tar.gz --exclude=.git aufs2-${KERNELVERSION}_${GITSNAPSHOT}
diff --git a/libre/initscripts/PKGBUILD b/libre/initscripts/PKGBUILD
index 565d22f5d..886f106ff 100644
--- a/libre/initscripts/PKGBUILD
+++ b/libre/initscripts/PKGBUILD
@@ -4,8 +4,8 @@
# Maintainer (Parabola): fauno <fauno@kiwwwi.com.ar>
pkgname=initscripts
-pkgver=2010.07
-pkgrel=3
+pkgver=2011.02.1
+pkgrel=1
pkgdesc="System initialization/bootup scripts (Parabola branding)"
arch=('i686' 'x86_64')
url="http://parabolagnulinux.org"
@@ -18,15 +18,15 @@ optdepends=('bridge-utils: Network bridging support'
'dhcpcd: DHCP network configuration'
'wireless_tools: Wireless networking')
install=initscripts.install
-source=("ftp://ftp.archlinux.org/other/initscripts/${pkgname}-${pkgver}-1.tar.xz"
+source=("ftp://ftp.archlinux.org/other/initscripts/${pkgname}-${pkgver}.tar.xz"
'wireless.conf.d'
'parabola-branding.patch')
-md5sums=('0cea15a64d999d0e1aa0c4bb4dbd1af8'
+md5sums=('22dcf8fc052deef0894d5caa0981419a'
'027576534885b8d5dded9be546057b12'
- 'b883c986aa8bdb8ca7b16a05e115db1d')
+ '030deb770293ea5a1e632934095af412')
package() {
- cd ${srcdir}/${pkgname}-${pkgver}-1
+ cd ${srcdir}/${pkgname}-${pkgver}
msg2 "Rebranding for Parabola"
patch -Np1 -i ${srcdir}/parabola-branding.patch
diff --git a/libre/initscripts/parabola-branding.patch b/libre/initscripts/parabola-branding.patch
index 028e687ab..a309f9a4c 100644
--- a/libre/initscripts/parabola-branding.patch
+++ b/libre/initscripts/parabola-branding.patch
@@ -1,18 +1,33 @@
-diff -auN initscripts-2010.07-1/functions initscripts-2010.07-1-parabola//functions
---- initscripts-2010.07-1/functions 2010-07-05 20:41:12.000000000 -0300
-+++ initscripts-2010.07-1-parabola//functions 2011-02-21 13:10:40.097545657 -0300
-@@ -54,7 +54,7 @@
- # colors:
- if [ "$USECOLOR" = "YES" -o "$USECOLOR" = "yes" ]; then
+diff -auN initscripts-2011.02.1/PKGBUILD initscripts-2011.02.1-parabola//PKGBUILD
+--- initscripts-2011.02.1/PKGBUILD 2011-02-01 15:34:45.000000000 -0300
++++ initscripts-2011.02.1-parabola//PKGBUILD 2011-02-28 11:06:11.000000000 -0300
+@@ -1,9 +1,9 @@
+ pkgname=initscripts-git
+ pkgver=$(date +%s)
+ pkgrel=$(git log --pretty=format:%h |head -n 1)
+-pkgdesc="System initialization/bootup scripts"
++pkgdesc="System initialization/bootup scripts, rebranded for Parabola"
+ arch=('i686' 'x86_64')
+-url="http://www.archlinux.org"
++url="http://parabolagnulinux.org"
+ license=('GPL')
+ groups=('base')
+ conflicts=('initscripts')
+diff -auN initscripts-2011.02.1/functions initscripts-2011.02.1-parabola//functions
+--- initscripts-2011.02.1/functions 2011-02-01 15:34:45.000000000 -0300
++++ initscripts-2011.02.1-parabola//functions 2011-02-28 11:13:46.000000000 -0300
+@@ -53,7 +53,7 @@
+ if [[ $USECOLOR = YES || $USECOLOR = yes ]]; then
C_MAIN="\033[1;37;40m" # main text
+
- C_OTHER="\033[1;34;40m" # prefix & brackets
-+ C_OTHER="\033[1;35;40m" # prefix & brackets
++ C_OTHER="\033[0;35;40m" # prefix & brackets
C_SEPARATOR="\033[1;30;40m" # separator
C_BUSY="\033[0;36;40m" # busy
-diff -auN initscripts-2010.07-1/rc.conf initscripts-2010.07-1-parabola//rc.conf
---- initscripts-2010.07-1/rc.conf 2010-07-05 20:41:12.000000000 -0300
-+++ initscripts-2010.07-1-parabola//rc.conf 2011-02-21 13:11:43.844641708 -0300
+diff -auN initscripts-2011.02.1/rc.conf initscripts-2011.02.1-parabola//rc.conf
+--- initscripts-2011.02.1/rc.conf 2011-02-01 15:34:45.000000000 -0300
++++ initscripts-2011.02.1-parabola//rc.conf 2011-02-28 11:06:37.000000000 -0300
@@ -1,5 +1,5 @@
#
-# /etc/rc.conf - Main Configuration for Arch Linux
@@ -20,20 +35,18 @@ diff -auN initscripts-2010.07-1/rc.conf initscripts-2010.07-1-parabola//rc.conf
#
# -----------------------------------------------------------------------
-diff -auN initscripts-2010.07-1/rc.sysinit initscripts-2010.07-1-parabola//rc.sysinit
---- initscripts-2010.07-1/rc.sysinit 2010-07-05 20:41:12.000000000 -0300
-+++ initscripts-2010.07-1-parabola//rc.sysinit 2011-02-21 13:11:43.847975064 -0300
-@@ -7,8 +7,11 @@
+diff -auN initscripts-2011.02.1/rc.sysinit initscripts-2011.02.1-parabola//rc.sysinit
+--- initscripts-2011.02.1/rc.sysinit 2011-02-01 15:34:45.000000000 -0300
++++ initscripts-2011.02.1-parabola//rc.sysinit 2011-02-28 11:08:29.000000000 -0300
+@@ -7,8 +7,9 @@
. /etc/rc.d/functions
echo " "
-printhl "Arch Linux\n"
-printhl "${C_H2}http://www.archlinux.org"
-+printhl "Parabola GNU/Linux-Libre"
-+printhl "${C_H2}http://parabolagnulinux.org"
-+printhl "Copyright 2009-2011 The Parabola Project"
-+printsep
-+printhl "You're booting into a libre version of Arch Linux\n"
- printhl "Copyright 2002-2007 Judd Vinet"
- printhl "Copyright 2007-2010 Aaron Griffin"
- printhl "Distributed under the GNU General Public License (GPL)"
++printhl "Parabola GNU/Linux-Libre\n"
++printhl "${C_H2}http://parabolagnulinux.org\n"
++printhl "You're booting into a libre version of Archlinux."
+ printsep
+
+ run_hook sysinit_start